delete.all.users = DELETE FROM users
user.id.nextval = SELECT NEXTVAL('USERS_ID_SEQ')
user.by.gid = SELECT id FROM users WHERE gid = ?
insert.user = INSERT INTO users (id, gid) VALUES (?, ?)
collection.by.gid = SELECT id FROM collections WHERE gid = ?
collection.id.nextval = SELECT NEXTVAL('COLLECTIONS_ID_SEQ')
insert.collection = INSERT INTO collections (id, gid, user_id, name) VALUES (?, ?, ?, ?)
artifact.by.gid = SELECT id FROM artifacts WHERE gid = ?
collection.item.id.nextval = SELECT NEXTVAL('COLLECTION_ITEMS_ID_SEQ')
insert.collection.item = INSERT INTO collection_items (id, collection_id, artifact_id) VALUES (?, ?, ?)
artifact.id.nextval = SELECT NEXTVAL('ARTIFACTS_ID_SEQ')
insert.artifact = INSERT INTO artifacts (id, gid, state) VALUES (?, ?, ?)
artifact.data.id.nextval = SELECT NEXTVAL('ARTIFACT_DATA_ID_SEQ')
insert.artifact.data = INSERT INTO artifact_data (id, artifact_id, kind, k, v) VALUES (?, ?, ?, ?, ?)
